D-Bus: DBusMessageRealIter Struct Reference

D-Bus 1.14.0

Data Fields
DBusMessageRealIter Struct Reference
D-Bus secret internal implementation details » DBusMessage implementation details

Internals of DBusMessageIter. More...

## Data Fields
DBusMessage * | message
| Message used. More...
dbus_uint32_t | changed_stamp: CHANGED_STAMP_BITS
| stamp to detect invalid iters More...
dbus_uint32_t | iter_type: 3
| whether this is a reader or writer iter More...
dbus_uint32_t | sig_refcount: 8
| depth of open_signature() More...
union {
DBusTypeWriter writer
| writer More...
DBusTypeReader reader
| reader More...
} | u
| the type writer or reader that does all the work

## Detailed Description

Internals of DBusMessageIter.

Object representing a position in a message. All fields are internal.

Definition at line 126 of file dbus-message.c.

## Field Documentation

## ◆ changed_stamp

dbus_uint32_t DBusMessageRealIter::changed_stamp

stamp to detect invalid iters

Definition at line 129 of file dbus-message.c.

## ◆ iter_type

dbus_uint32_t DBusMessageRealIter::iter_type

whether this is a reader or writer iter

Definition at line 130 of file dbus-message.c.

Referenced by _dbus_variant_read(), dbus_message_iter_get_arg_type(), dbus_message_iter_get_element_type(), dbus_message_iter_has_next(), and dbus_message_iter_next().

## ◆ message

DBusMessage* DBusMessageRealIter::message

Message used.

Definition at line 128 of file dbus-message.c.

Referenced by _dbus_message_iter_get_args_valist(), and dbus_message_iter_get_basic().

## ◆ reader

DBusTypeReader DBusMessageRealIter::reader

reader

Definition at line 135 of file dbus-message.c.

Referenced by _dbus_message_iter_get_args_valist(), dbus_message_iter_get_array_len(), dbus_message_iter_get_basic(), dbus_message_iter_get_element_count(), dbus_message_iter_get_fixed_array(), dbus_message_iter_get_signature(), and dbus_message_iter_recurse().

## ◆ sig_refcount

dbus_uint32_t DBusMessageRealIter::sig_refcount

depth of open_signature()

Definition at line 131 of file dbus-message.c.

## ◆ writer

DBusTypeWriter DBusMessageRealIter::writer

writer

Definition at line 134 of file dbus-message.c.

The documentation for this struct was generated from the following file:

- dbus-message.c